import { _decorator, Label } from 'cc';
import { ShowNode } from './LoopList';
const { ccclass, property } = _decorator;

export interface IData {
    index: number,
    text: string
}

@ccclass('TestShowNode')
export class TestShowNode extends ShowNode {
    /** */
    @property(Label)
    public nameLb: Label = null;
    /** */
    @property(Label)
    public contentLb: Label = null;


    data: IData;

    /**
     * 初始化显示
     * @param data 
     */
    initShow(data: { index: number, text: string }) {
        this.data = data;
        this.nameLb.string = "我是第" + this.data.index + "个";
        this.contentLb.string = "我是内容" + this.data.text;
    }
}


